.\"	$NetBSD: admtemp.4,v 1.1 2008/10/29 17:26:57 jkunz Exp $
.\"
.\"	$OpenBSD: admtemp.4,v 1.8 2007/05/31 19:19:48 jmc Exp $
.\"
.\" Copyright (c) 2005 Theo de Raadt <deraadt@openbsd.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd October 29, 2008
.Dt ADMTEMP 4
.Os
.Sh NAME
.Nm admtemp
.Nd Analog Devices ADM1021 temperature sensor
.Sh SYNOPSIS
.Cd "admtemp* at iic? addr 0x18"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Analog Devices ADM1021,
Analog Devices ADM1023, Analog Devices ADM1032, Genesys Logic GL523SM,
Global Mixed-mode Technology G781, Maxim 1617, and Xeon embedded
temperature sensors.
The device possesses internal and external temperature sensors.
These values are made available through the
.Xr envstat 8
interface.
.Pp
On i386 machines, this driver also supports the Xeon embedded
I2C temperature probes.
In this case, however, only one temperature value is provided.
.Sh SEE ALSO
.Xr iic 4 ,
.Xr intro 4 ,
.Xr envstat 8
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Theo de Raadt Aq deraadt@openbsd.org .
